type InitHttp = {
    fetch: any;
    baseUrl: string;
    timeout?: number;
    isClient?: boolean;
};
export interface WzfRequestInit extends RequestInit {
    url?: string;
    timeout?: number;
    headers?: Headers;
}
export interface WzfResponseInit extends Response {
    body: ReadableStream<Uint8Array> | null;
}
type ReqInterceptor = (req: WzfRequestInit) => Promise<WzfRequestInit> | WzfRequestInit;
type ResInterceptor = (res: WzfResponseInit) => Promise<WzfResponseInit> | WzfResponseInit;
export declare class Http {
    private _fetch;
    private _baseUrl;
    private _timeout;
    private _reqInterceptorCbs;
    private _resInterceptorCbs;
    constructor(initData: InitHttp);
    onRequest(cb: ReqInterceptor): Promise<void>;
    onResponse(cb: ResInterceptor): Promise<void>;
    private _resultReq;
    private _resultRes;
    get(url: string, option?: Omit<WzfRequestInit, 'url'>): Promise<WzfResponseInit>;
    post(url: string, body?: BodyInit | null, option?: Omit<WzfRequestInit, 'url'>): Promise<WzfResponseInit>;
}
export {};
