import { createApp } from 'vue'
import App from '@/pages/App.vue'
import router from './router/index';
import pinia from '@/store/index'
import wzf from 'wzf'

import ElementPlus from 'element-plus'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import 'element-plus/dist/index.css'
import '$/common.assets/css/normaliza.css'
// elementui自定义主题
import '$/common.assets/css/element/index.css'

// import '@/assets/css/index.css'

import httpPlugin from '@/plugins/http'
import commonHttpPlugin from '$/common.plugins/http'

(async () => {
  const app = createApp(App)
  await wzf(app, router)

  app.use(pinia)
    .use(commonHttpPlugin)
    .use(httpPlugin)
    .use(router)
    .use(ElementPlus, { locale: zhCn, size: 'default', zIndex: 3000 })
    .mount('#app')
})()
