import { createPinia, defineStore } from 'pinia'
import { exampleApi } from '$/common.service/example'
import { ElMessage } from 'element-plus'

const pinia = createPinia()
export default pinia

export const useUserStore = defineStore('user', {
  state: () => ({
    name: 'zhangsan',
    age: 18
  }),
  getters: {
    userInfo: (state) => ('姓名：' + state.name + ' 年龄：' + state.age)
  },
  actions: {
    async getUserByApi(data: { token: string }) {
      try {
        const res = await exampleApi(data)
        ElMessage('res:' + JSON.stringify(res))
      } catch (error) {
        console.log(error);
        ElMessage('pinia error')
        return error
      }
    }
  }
})